Create Question
Create a question in a questionnaire.
- Automatically assigns the next
question_orderwithin the specified questionnaire. - Forces
is_system=falsefor created questions.
Args: question: Question payload (questionnaireId is required). user: Authenticated user context.
Returns: SCOQuestionExtendedOutput: Created question object.
Body·
required
application/json
- Type: booleanis
Mandatory requiredIs question mandatory
- Type: booleannullableis
Success Criteria requiredIs success criteria
- Type: stringquestionnaire
Id requiredQuestionnaire ID
- Type: integernullablequestion
Order requiredQuestion order
- Type: stringquestion
Text requiredQuestion text
- Type: Responsetyperesponse
Type requiredProperties: 1Response type
- Type: stringnullabledeal
Id Deal ID
- Type: Dreamerflownullabledreamer
Flow Properties: 1Autofill config (DreamerFlow JSON)
- Type: stringnullablefield
Name Field name
- Type: booleannullablefilled
By Dreamer Dreamer autofill enabled
- Type: booleannullableis
Draft Draft (hidden until published)
- Type: booleannullableis
System Is custom
Responses
- application/json
- application/json
Request Example for post/questionnaires/questions
curl https://crm.dreamhub.ai/api/v1/settings/questionnaires/questions \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"questionText": "",
"questionnaireId": "",
"responseType": {
"additionalProperty": "anything"
},
"questionOrder": 1,
"isMandatory": true,
"isSuccessCriteria": true,
"section": 1,
"tooltipText": "",
"fieldName": "",
"isSystem": true,
"relatedQuestionId": "",
"dealId": "",
"isDraft": false,
"filledByDreamer": true,
"dreamerFlow": {
"additionalProperty": "anything"
}
}'
{
"id": "string",
"questionText": "string",
"questionnaireId": "string",
"responseType": {
"additionalProperty": "anything"
},
"questionOrder": 1,
"isMandatory": true,
"isSuccessCriteria": true,
"section": 1,
"tooltipText": "string",
"fieldName": "string",
"isSystem": true,
"relatedQuestionId": "string",
"dealId": "string",
"filledByDreamer": true,
"dreamerFlow": {
"additionalProperty": "anything"
},
"isDraft": true
}
